Index: trunk/LMDZ.GENERIC/deftank/callphys.earth
===================================================================
--- trunk/LMDZ.GENERIC/deftank/callphys.earth	(revision 729)
+++ trunk/LMDZ.GENERIC/deftank/callphys.earth	(revision 838)
@@ -4,5 +4,5 @@
 tracer    = .true.
 # Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
-diurnal   = .false.
+diurnal   = .true.
 # Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
 season    = .true. 
@@ -18,5 +18,9 @@
 enertest  = .false.
 # Check to see if cpp, mugaz values used match gas mixture defined in gases.def (recommended) ?
-check_cpp_match=.true.
+check_cpp_match=.false. #.true.
+
+## Directory where external input files are
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+datadir     = /home/spiga/datagcm
 
 ## Radiative transfer options
@@ -42,5 +46,5 @@
 specOLR    = .false.
 # Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
-meanOLR    = .true.
+meanOLR    = .false.
 # Variable gas species: Radiatively active ?
 varactive  = .true.
@@ -49,4 +53,6 @@
 # Variable gas species: Saturation percentage value at ground ?
 satval     = 0.0
+# Force specific heat capacity and molecular mass values
+force_cpp      = .false.
 
 ## Star type
@@ -65,4 +71,5 @@
 # 1024.5 W m-2		Sol today x 0.75 = weak early Sun
 # 18.462 W m-2		The feeble Gl581
+# 19.960 W m-2          Gl581 with e=0.38 orbital average
 Fat1AU = 1366.0
 
@@ -94,5 +101,5 @@
 aerofixco2    = .false.
 # Radiatively active water aerosol?
-aeroh2o       = .true.
+aeroh2o       = .false. #.true. #.false. does not work with mpi
 # Fixed water aerosol distribution?
 aerofixh2o  = .false.
@@ -100,5 +107,5 @@
 dusttau       = 0.0
 # Varying H2O cloud fraction?
-CLFvarying    = .true.
+CLFvarying    = .true. 
 # H2O cloud fraction if fixed?
 CLFfixval     = 0.5
@@ -131,5 +138,5 @@
 Cboucher=1.
 # WATER: hydrology ?
-hydrology     = .true.
+hydrology     = .false. #.true.
 # H2O snow (and ice) albedo ?
 albedosnow    = 0.6
Index: trunk/LMDZ.GENERIC/deftank/earth1d.rcm1d.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/earth1d.rcm1d.def	(revision 729)
+++ trunk/LMDZ.GENERIC/deftank/earth1d.rcm1d.def	(revision 838)
@@ -31,9 +31,9 @@
 time           = 12 
 # Number of time steps per sol
-day_step       = 12 
+day_step       = 24 
 # Number of sols to run 
 ndt            = 1300
 # Number of steps between each writting in diagfi 
-ecritphy=120
+ecritphy=4
 
 
@@ -50,5 +50,5 @@
 ## ~~~~~~~~~~~~~~~~~~
 # Simulate global averaged conditions ? 
-global1d       = .true.
+global1d       = .false. #.true.
 # Latitude (deg) [only used if global1d = F]
 latitude       = 0.0
Index: trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/callphys.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/callphys.def	(revision 838)
+++ trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/callphys.def	(revision 838)
@@ -0,0 +1,172 @@
+## Orbit / general options
+## ~~~~~~~~~~~~~~~~~~~~~~~
+# Run with or without tracer transport ?
+tracer    = .false.
+# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
+diurnal   = .true.
+# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
+season    = .true. 
+# Tidally resonant orbit ? must have diurnal=false, correct rotation rate in newstart
+tlocked   = .false.
+# Tidal resonance ratio ? ratio T_orbit to T_rotation
+nres      = 1
+# Write some more output on the screen ?
+lwrite    = .false.
+# Save statistics in file "stats.nc" ?
+callstats = .false.
+# Test energy conservation of model physics ?
+enertest  = .false.
+# Check to see if cpp, mugaz values used match gas mixture defined in gases.def (recommended) ?
+check_cpp_match=.false. 
+
+## Directory where external input files are
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+datadir     = /san/home/spiga/DATAGENERIC
+datadir     = /home/spiga/datagcm
+
+## Radiative transfer options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer?
+callrad    = .true.
+# the rad. transfer is computed every "iradia" physical timestep
+iradia     = 6
+# call multilayer correlated-k radiative transfer ?
+corrk      = .true.
+# Include continuum absorption in radiative transfer (note CO2 is treated separately) ?
+continuum  = .false.
+# folder in which correlated-k data is stored ?
+corrkdir   = null
+# call visible gaseous absorption in radiative transfer ?
+callgasvis = .true.
+# Include Rayleigh scattering in the visible ?
+rayleigh   = .false.
+# Uniform absorption coefficient in radiative transfer?
+graybody     = .true.
+# Constant absorption coefficient in visible 
+#      (in m^2/kg; only if graybody=true):
+#      tau_surf= kappa*P/g
+kappa_VI = 5.e-5
+kappa_VI = 1.e-20
+# Constant absorption coefficient in IR
+#      (in m^2/kg; only if graybody=true):
+kappa_IR = 1.e-4
+kappa_IR = 1.e-5
+# Characteristic planetary equilibrium (black body) temperature
+# This is used only in the aerosol radiative transfer setup. (see aerave.F)
+tplanet    = 215.
+# Output spectral OLR in 3D?
+specOLR    = .false. 
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .false.
+# Variable gas species: Radiatively active ?
+varactive  = .false.
+# Variable gas species: Fixed vertical distribution ?
+#   (not to be used in time integration mode)
+varfixed   = .false.
+# Variable gas species: Saturation percentage value at ground ?
+satval     = 0.0
+# Force specific heat capacity and molecular mass values
+force_cpp      = .false.
+# Remove lower boundary (e.g. for gas giant sims)
+noradsurf    = .false. 
+
+## Star type
+## ~~~~~~~~~
+startype = 1
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#
+#	startype = 1		Sol        (G2V-class main sequence)
+#	startype = 2		Ad Leo     (M-class, synthetic)
+#       startype = 3            GJ644
+#       startype = 4            HD128167
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Stellar flux at 1 AU. Examples:
+# 1366.0 W m-2		Sol today
+# 1024.5 W m-2		Sol today x 0.75 = weak early Sun
+# 18.462 W m-2		The feeble Gl581
+# 19.960 W m-2		Gl581 with e=0.38 orbital average
+Fat1AU = 1366.0
+
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Gravitational sedimentation of tracers (just H2O ice for now) ?
+sedimentation = .false.
+
+## Other physics options
+## ~~~~~~~~~~~~~~~~~~~~~
+# call turbulent vertical diffusion ?
+calldifv = .true.
+# use turbdiff instead of vdifc ?
+UseTurbDiff = .true.
+# call convective adjustment ?
+calladj  = .true.
+# call thermal conduction in the soil ?
+callsoil = .true.
+
+#########################################################################
+## extra non-standard definitions for Earth
+#########################################################################
+ 
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Radiatively active CO2 aerosol?
+aeroco2       = .false.
+# Fixed CO2 aerosol distribution?
+aerofixco2    = .false.
+# Radiatively active water aerosol?
+aeroh2o       = .false.
+# Fixed water aerosol distribution?
+aerofixh2o    = .false.
+# basic dust opacity
+dusttau       = 0.0
+# Varying H2O cloud fraction?
+CLFvarying    = .true. 
+# H2O cloud fraction if fixed?
+CLFfixval     = 0.5
+# fixed radii for cloud particles?
+radfixed=.false.
+# number mixing ratio of CO2 ice particles
+Nmix_co2      = 100000.
+# number mixing ratio of water particles (for rafixed=.false.)
+Nmix_h2o      = 1.e7
+# number mixing ratio of water ice particles (for rafixed=.false.)
+Nmix_h2o_ice  = 5.e5
+# radius of H2O water particles (for rafixed=.true.):
+rad_h2o=10.e-6
+# radius of H2O ice particles (for rafixed=.true.):
+rad_h2o_ice=35.e-6
+# atm mass update due to tracer evaporation/condensation?
+mass_redistrib = .false.
+
+## Water options 
+## ~~~~~~~~~~~~~
+# Model water cycle
+water         = .false.
+# Model water cloud formation
+watercond     = .false.
+# Model water precipitation (including coagulation etc.)
+waterrain     = .false.
+# Use simple precipitation scheme?
+precip_scheme=4
+# multiplicative constant in Boucher 95 precip scheme
+Cboucher=1.
+# WATER: hydrology ?
+hydrology     = .false.
+# H2O snow (and ice) albedo ?
+albedosnow    = 0.6
+# Maximum sea ice thickness ?
+maxicethick   = 10.
+# Freezing point of seawater (degrees C) ?
+Tsaldiff      = 0.0
+# Evolve surface water sources ?
+sourceevol    = .false.
+
+## CO2 options 
+## ~~~~~~~~~~~
+# gas is non-ideal CO2 ?
+nonideal      = .false.
+# call CO2 condensation ?
+co2cond       = .false.
+# Set initial temperature profile to 1 K above CO2 condensation everywhere?
+nearco2cond   = .false.
Index: trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/diagfi.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/diagfi.def	(revision 838)
+++ trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/diagfi.def	(revision 838)
@@ -0,0 +1,10 @@
+tsurf
+ps
+temp
+u
+v
+ISR
+ASR
+OLR
+GND
+DYN
Index: trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/gases.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/gases.def	(revision 838)
+++ trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/gases.def	(revision 838)
@@ -0,0 +1,9 @@
+# gases
+1
+H2_
+1.0
+
+# First line is number of gases
+# Followed by gas names (always 3 characters)
+# and then mixing ratios.
+# mixing ratio -1 means the gas is variable.
Index: trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/launch_lmdz.generic
===================================================================
--- trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/launch_lmdz.generic	(revision 838)
+++ trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/launch_lmdz.generic	(revision 838)
@@ -0,0 +1,9 @@
+#PBS -S  /bin/bash
+#PBS -j  oe
+#PBS -q  infini
+#PBS -N  LMDZ.GENERIC
+
+####### prep run
+cd $PBS_O_WORKDIR
+ulimit -s unlimited
+gcm.e > log
Index: trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/launch_lmdz5para
===================================================================
--- trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/launch_lmdz5para	(revision 838)
+++ trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/launch_lmdz5para	(revision 838)
@@ -0,0 +1,11 @@
+#PBS -S  /bin/bash
+#PBS -j  oe
+#PBS -q  infini
+#PBS -N  LMDZ5_PARA24
+#PBS -l "nodes=1:ppn=24"
+##PBS -l "mem=64gb"
+
+####### prep run
+cd $PBS_O_WORKDIR
+ulimit -s unlimited
+mpirun gcm.e > log
Index: trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/run.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/run.def	(revision 838)
+++ trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/run.def	(revision 838)
@@ -0,0 +1,214 @@
+
+#### LMDZ5
+#### IN GCM.DEF
+
+## period appel a la dissipation (multiple iperiod, 0 si calcul automatique)
+dissip_period = 0
+dissip_period = 2 
+dissip_period = 5
+
+## avec ou sans physique
+## 0: pas de physique (e.g. en mode Shallow Water)
+## 1: avec physique (e.g. physique phylmd)
+## 2: avec rappel newtonien dans la dynamique                                         
+iflag_phys=2
+iflag_phys=1 
+
+## avec ou sans fichiers de demarrage (start.nc, startphy.nc) ?
+## (sans fichiers de demarrage, initialisation des champs par iniacademic
+##  dans la dynamique)
+read_start=n
+read_start=y 
+
+##  Avec ou sans strato
+ok_strato=n
+
+#  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+iflag_top_bound=0
+#  Coefficient pour la couche eponge (valeur derniere couche)
+tau_top_bound=5.e-5
+
+#### LMDZ5
+#### IN RUN.DEF
+
+## Type de calendrier utilise
+## valeur possible: earth_360d (defaut), earth_365d, earth_366d
+ip_ebil_phy=1
+ip_ebil_dyn=1
+calend=earth_360d
+
+## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
+dayref=10120
+dayref=40
+
+##  Annee de l'etat  initial (   avec  4  chiffres   )
+anneeref=2000
+
+## Remise a zero de la date initiale
+## =1 is necessary for generic physics
+raz_date=1
+
+## flag de sortie dynzon
+ok_dynzon=n
+## activation du calcul d equilibrage de charge
+adjust=n
+## activation du filtre fft
+use_filtre_fft=n
+## niveau d'impression de controle
+prt_level=10
+
+## coordonnees type planeto
+disvert_type = 2
+
+## the generic physics
+planet_type = generic
+
+## sorties instantanees dans la dynamique (fichiers dyn_hist.nc and co.)
+ok_dyn_ins=n
+ok_dyn_ins=y
+## periode d'ecriture des sorties instantanees dans la dynamique
+## (en pas dynamiques)
+iecri=30
+iecri=120
+iecri=480
+iecri=4800
+
+## sorties de valeurs moyennes dans la dynamique (fichiers dyn_hist_ave.nc and co.)
+ok_dyn_ave=n
+## periode de stockage des moyennes dans la dynamique (en jours)
+periodav=1
+
+
+#################################
+#### AND NOW THE OLD run.def ####
+#################################
+
+
+#----------------------------------------------------------------------- 
+#Parametres de controle du run:                                          
+#------------------------------                                          
+
+# Nombre de jours d'integration                                         
+     nday = 720
+     nday = 20
+     nday = 100
+     nday = 1800
+
+# nombre de pas par jour (multiple de iperiod) ( ici pour dt = 1 min )      
+ day_step = 240
+ day_step = 480
+
+# periode pour le pas Matsuno (en pas)                                  
+  iperiod=5
+
+# periode de sortie des variables de controle (en pas)                  
+  iconser=120
+
+############# VOIR CI-DESSUS ne sert pas dans generic
+############# ... mais sert dans LMDZ5 !!!!!!
+############# ... donc on commente ...
+## periode d'ecriture du fichier histoire (en jour)                      
+#    iecri=1
+#
+## periode de stockage fichier histmoy (en jour) dynzon?                        
+# periodav=10.
+############# VOIR CI-DESSUS
+############# VOIR CI-DESSUS
+
+############# VOIR CI-DESSUS dissip_period
+## periode de la dissipation (en pas)                                    
+#  idissip=5
+############# VOIR CI-DESSUS
+
+# choix de l'operateur de dissipation (star ou  non star )              
+ lstardis=.true. #ou y ???
+
+# avec ou sans coordonnee hybrides
+ hybrid=.true.
+
+# nombre d'iterations de l'operateur de dissipation   gradiv            
+nitergdiv=1
+
+# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+nitergrot=2
+
+# nombre d'iterations de l'operateur de dissipation  divgrad            
+   niterh=2
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=1000. 2500. 4000.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=1000. 2500. 4000.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=1000. 2500. 4000.
+
+# coefficient pour gamdissip                                            
+  coefdis=0.
+
+# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+  purmats=.false. # ou n ???
+
+# avec ou sans physique                                                 
+   physic=.true.
+
+# periode de la physique (en pas) (en pas dynamiques, n'a de sens que si iflag_phys=1)                                      
+  iphysiq=5
+#  iphysiq=1
+
+# choix d'une grille reguliere                                          
+  grireg=.true.
+
+# frequence (en pas) de l'ecriture du fichier diagfi               
+  ecritphy=480
+#  ecritphy=60
+#  ecritphy=45
+#  ecritphy=50000000
+
+# longitude en degres du centre du zoom                                 
+   clon=0.
+
+# latitude en degres du centre du zoom                                  
+   clat=0.
+
+# facteur de grossissement du zoom,selon longitude                      
+  grossismx=1.
+
+# facteur de grossissement du zoom ,selon latitude                      
+ grossismy=1.
+
+#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+  fxyhypb=.false.
+
+# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+   dzoomx= 0.
+
+# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+   dzoomy=0.
+
+#  raideur du zoom en  X
+    taux=2.
+
+#  raideur du zoom en  Y
+    tauy=2.
+
+#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus= .false.
+
+###################### MARCHE SEULEMENT AVEC L ANCIENNE DYNAMIQUE
+## Avec sponge layer
+#  callsponge  = .true.
+# 
+## Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+#  mode_sponge= 2
+#
+## Sponge:  hauteur de sponge (km)
+#  hsponge= 50
+#
+## Sponge:  tetasponge (secondes)
+#  tetasponge = 50000
+###################### MARCHE SEULEMENT AVEC L ANCIENNE DYNAMIQUE
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
Index: trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/start_gray.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/start_gray.def	(revision 838)
+++ trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/start_gray.def	(revision 838)
@@ -0,0 +1,18 @@
+0
+n
+
+surface_mars.nc
+40
+flat
+y
+1.e5
+bilball
+0.3
+500
+q=0
+isotherm
+283.
+emis
+1
+
+hghg
Index: trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/traceur.def.LMDZ5
===================================================================
--- trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/traceur.def.LMDZ5	(revision 838)
+++ trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/traceur.def.LMDZ5	(revision 838)
@@ -0,0 +1,2 @@
+0
+10 10 dummy
Index: trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/traceur.def.LMDZGENERIC
===================================================================
--- trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/traceur.def.LMDZGENERIC	(revision 838)
+++ trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/traceur.def.LMDZGENERIC	(revision 838)
@@ -0,0 +1,2 @@
+0
+dummy
Index: trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/z2sig.def
===================================================================
--- trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/z2sig.def	(revision 838)
+++ trunk/LMDZ.GENERIC/deftank/gray_lmdz.generic_lmdz5/z2sig.def	(revision 838)
@@ -0,0 +1,1 @@
+link ../z2sig.earth