Index: trunk/UTIL/PYTHON/mcd/mcd.py
===================================================================
--- trunk/UTIL/PYTHON/mcd/mcd.py	(revision 827)
+++ trunk/UTIL/PYTHON/mcd/mcd.py	(revision 859)
@@ -8,5 +8,4 @@
 
 import numpy as np
-import fmcd
 import matplotlib.pyplot as mpl
 import myplot
@@ -84,11 +83,16 @@
         self.dpi = 80.
 
+    def toversion5(self):
+        self.name      = "MCD v5.0"
+        self.dset      = '/home/marshttp/MCD_v5.0/data/'
+        self.extvarkey = np.ones(100)
+
     def viking1(self): self.name = "Viking 1 site. MCD v4.3 output" ; self.lat = 22.48 ; self.lon = -49.97 ; self.xdate = 97.
     def viking2(self): self.name = "Viking 2 site. MCD v4.3 output" ; self.lat = 47.97 ; self.lon = -225.74 ; self.xdate = 117.6
 
     def getdustlabel(self):
-        if self.dust == 1: self.dustlabel = "MY24 minimum solar scenario"
-        elif self.dust == 2: self.dustlabel = "MY24 average solar scenario"
-        elif self.dust == 3: self.dustlabel = "MY24 maximum solar scenario"
+        if self.dust == 1: self.dustlabel = "climatology minimum solar scenario"
+        elif self.dust == 2: self.dustlabel = "climatology average solar scenario"
+        elif self.dust == 3: self.dustlabel = "climatology maximum solar scenario"
         elif self.dust == 4: self.dustlabel = "dust storm minimum solar scenario"
         elif self.dust == 5: self.dustlabel = "dust storm average solar scenario"
@@ -140,5 +144,5 @@
 	17: "daily min mean surface temperature (K)",\
 	18: "surf. temperature RMS day to day variations (K)",\
-	19: "surface pressure (high resolution if hireskey=1)",\
+	19: "surface pressure (Pa)",\
 	20: "GCM surface pressure (Pa)",\
 	21: "atmospheric pressure RMS day to day variations (Pa)",\
@@ -173,14 +177,56 @@
 	50: "Air viscosity estimation (N s m-2)"
         }
+        ### MCD version 5 new variables. AS 12/2012.
+        if "v5" in self.name:
+          whichfield[29] = "not used (set to zero)"
+          whichfield[30] = "Surface roughness length z0 (m)"
+          whichfield[37] = "DOD RMS day to day variations"
+          whichfield[38] = "Dust mass mixing ratio (kg/kg)"
+          whichfield[39] = "Dust effective radius (m)"
+          whichfield[44] =  whichfield[43]
+          whichfield[43] =  whichfield[42]
+          whichfield[42] =  whichfield[41]
+          whichfield[41] =  whichfield[40]
+          whichfield[40] = "Dust deposition on flat surface (kg m-2 s-1)"
+          whichfield[45] = "Water ice effective radius (m)"
+          whichfield[46] = "Convective PBL height (m)"
+          whichfield[47] = "Max. upward convective wind within the PBL (m/s)"
+          whichfield[48] = "Max. downward convective wind within the PBL (m/s)"
+          whichfield[49] = "Convective vertical wind variance at level z (m2/s2)"
+          whichfield[50] = "Convective eddy vertical heat flux at level z (m/s/K)"
+          whichfield[51] = "Surface wind stress (Kg/m/s2)"
+          whichfield[52] = "Surface sensible heat flux (W/m2) (<0 when flux from surf to atm.)"
+          whichfield[53] = "R: Molecular gas constant (J K-1 kg-1)"
+          whichfield[54] = "Air viscosity estimation (N s m-2)"
+          whichfield[55] = "not used (set to zero)"
+          whichfield[56] = "not used (set to zero)"
+          whichfield[57] = "[CO2] vol. mixing ratio (mol/mol)"
+          whichfield[58] = "[N2] vol. mixing ratio (mol/mol)"
+          whichfield[59] = "[Ar] vol. mixing ratio (mol/mol)"
+          whichfield[60] = "[CO] vol. mixing ratio (mol/mol)"
+          whichfield[61] = "[O] vol. mixing ratio (mol/mol)"
+          whichfield[62] = "[O2] vol. mixing ratio (mol/mol)"
+          whichfield[63] = "[O3] vol. mixing ratio (mol/mol)"
+          whichfield[64] = "[H] vol. mixing ratio (mol/mol)"
+          whichfield[65] = "[H2] vol. mixing ratio (mol/mol)"
+          whichfield[66] = "[electron] vol. mixing ratio (mol/mol)"
+          whichfield[67] = "CO2 column (kg/m2)"
+          whichfield[68] = "N2 column (kg/m2)"
+          whichfield[69] = "Ar column (kg/m2)"
+          whichfield[70] = "CO column (kg/m2)"
+          whichfield[71] = "O column (kg/m2)"
+          whichfield[72] = "O2 column (kg/m2)"
+          whichfield[73] = "O3 column (kg/m2)"
+          whichfield[74] = "H column (kg/m2)"
+          whichfield[75] = "H2 column (kg/m2)"
+          whichfield[76] = "electron column (kg/m2)"
         if num not in whichfield: myplot.errormess("Incorrect subscript in extvar.")
-
         dastuff = whichfield[num]
-  
         if "(K)" in dastuff:      self.fmt="%.0f"
         elif "(Pa)" in dastuff:   self.fmt="%.1f"
         elif "(W/m2)" in dastuff: self.fmt="%.0f"
         elif "(m/s)" in dastuff:  self.fmt="%.1f"
+        elif "(m)" in dastuff:    self.fmt="%.0f"
         else:                     self.fmt="%.2e"
-
         return dastuff
 
@@ -197,9 +243,17 @@
         elif num == "ps": num = 19
         elif num == "tau": num = 36
-        elif num == "mtot": num = 40
-        elif num == "icetot": num = 42
+        elif num == "mtot": 
+            if "v5" in self.name:  num = 41 
+            else:                  num = 40
+        elif num == "icetot": 
+            if "v5" in self.name:  num = 43
+            else:                  num = 42
         elif num == "ps_ddv": num = 22
-        elif num == "h2ovap": num = 41
-        elif num == "h2oice": num = 43
+        elif num == "h2ovap": 
+            if "v5" in self.name:  num = 42
+            else:                  num = 41
+        elif num == "h2oice": 
+            if "v5" in self.name:  num = 44
+            else:                  num = 43
         elif num == "cp": num = 8
         elif num == "rho_ddv": num = 10
@@ -210,9 +264,38 @@
         elif num == "lwup": num = 33
         elif num == "swup": num = 34
-        elif num == "o3": num = 44
-        elif num == "o": num = 46
-        elif num == "co": num = 48
-        elif num == "visc": num = 50
+        elif num == "o3": 
+            if "v5" in self.name:  num = 63
+            else:                  num = 44
+        elif num == "o": 
+            if "v5" in self.name:  num = 61
+            else:                  num = 46
+        elif num == "co": 
+            if "v5" in self.name:  num = 60
+            else:                  num = 48
+        elif num == "visc": 
+            if "v5" in self.name:  num = 54
+            else:                  num = 50
         elif num == "co2ice": num = 35
+        elif num == "pbl":
+            if "v5" in self.name:  num = 46
+            else:                  num = 30 # an undefined variable to avoid misleading output
+        elif num == "updraft":
+            if "v5" in self.name:  num = 47
+            else:                  num = 30 # an undefined variable to avoid misleading output
+        elif num == "downdraft":
+            if "v5" in self.name:  num = 48
+            else:                  num = 30 # an undefined variable to avoid misleading output
+        elif num == "pblwvar":
+            if "v5" in self.name:  num = 49
+            else:                  num = 30 # an undefined variable to avoid misleading output
+        elif num == "pblhvar":
+            if "v5" in self.name:  num = 50
+            else:                  num = 30 # an undefined variable to avoid misleading output
+        elif num == "stress":
+            if "v5" in self.name:  num = 51
+            else:                  num = 30 # an undefined variable to avoid misleading output
+        elif num == "ar":
+            if "v5" in self.name:  num = 59
+            else:                  num = 30 # an undefined variable to avoid misleading output
         elif not isinstance(num, np.int): myplot.errormess("field reference not found.")
         return num
@@ -230,16 +313,11 @@
             self.locte = abs(self.locte)%24
             if self.locts == self.locte: self.locte = self.locts + 24
-        if self.lat > 90.: self.lat = 90.
-        if self.lat < -90.: self.lat = -90.
-        if self.lats is not None and self.late is not None:
-            if abs(self.lats) > 90.: self.lats = 90.
-            if abs(self.late) > 90.: self.late = 90.
-            if abs(self.lats) < -90.: self.lats = -90.
-            if abs(self.late) < -90.: self.late = -90.
         ## now MCD request
+        if "v5" in self.name: from fmcd5 import call_mcd
+        else:                 from fmcd import call_mcd
         (self.pres, self.dens, self.temp, self.zonwind, self.merwind, \
          self.meanvar, self.extvar, self.seedout, self.ierr) \
          = \
-         fmcd.call_mcd(self.zkey,self.xz,self.lon,self.lat,self.hrkey, \
+         call_mcd(self.zkey,self.xz,self.lon,self.lat,self.hrkey, \
              self.datekey,self.xdate,self.loct,self.dset,self.dust, \
              self.perturkey,self.seedin,self.gwlength,self.extvarkey )
@@ -262,4 +340,5 @@
         strloct = str(self.loct)+str(self.locts)+str(self.locte)
         name = str(self.zkey)+strxz+strlon+strlat+str(self.hrkey)+str(self.datekey)+str(self.xdate)+strloct+str(self.dust)
+        if "v5" in self.name: name = "v5beta_" + name
         return name
 
@@ -286,5 +365,7 @@
     def printallextvar(self):
     # print all extra MCD variables    
-        for i in range(50): self.printextvar(i+1)
+        if "v5" in self.name:  limit=76
+        else:                  limit=50
+        for i in range(limit): self.printextvar(i+1)
 
     def htmlprinttabextvar(self,tabtodo):
@@ -813,5 +894,4 @@
       canvas.print_figure(figname, dpi=self.dpi)
 
-
     ### TODO: makeplot2d, plot2d, passer plot settings
 
Index: trunk/UTIL/PYTHON/mcd/mcdtest.py
===================================================================
--- trunk/UTIL/PYTHON/mcd/mcdtest.py	(revision 827)
+++ trunk/UTIL/PYTHON/mcd/mcdtest.py	(revision 859)
@@ -3,5 +3,10 @@
 from mcd import mcd
 
+
 query = mcd()
+
+query.toversion5()
+query.loct = 12.
+
 query.update()
 query.printcoord()
@@ -12,4 +17,8 @@
 query.xz = 30000.
 query.printmcd()
+query.printextvar(94)
+query.printextvar(95)
+
+end
 
 query.viking1()
Index: trunk/UTIL/PYTHON/mcd/proto/cgi-bin/diapo.py
===================================================================
--- trunk/UTIL/PYTHON/mcd/proto/cgi-bin/diapo.py	(revision 859)
+++ trunk/UTIL/PYTHON/mcd/proto/cgi-bin/diapo.py	(revision 859)
@@ -0,0 +1,48 @@
+#!/usr/bin/python
+
+from os import listdir
+from random import choice
+
+ext2conttype = {"jpg": "image/jpeg",
+                "jpeg": "image/jpeg",
+                "png": "image/png",
+                "gif": "image/gif"}
+
+def content_type(filename):
+    return ext2conttype[filename[filename.rfind(".")+1:].lower()]
+
+def isimage(filename):
+    """true if the filename's extension is in the content-type lookup"""
+    filename = filename.lower()
+    return filename[filename.rfind(".")+1:] in ext2conttype
+
+def random_file(dir):
+    """returns the filename of a randomly chosen image in dir"""
+    images = [f for f in listdir(dir) if isimage(f)]
+    return choice(images)
+
+if __name__ == "__main__":
+    dir = "../img/"
+    r = random_file(dir)
+    #print "Content-type: %s\n" % (content_type(r))
+
+    print "Content-type:text/html\n"
+    print "  "  #Apache needs a space after content-type
+    header="""<html><head><title>Mars Climate Database: The Web Interface</title></head><body>"""
+    print header
+
+    print "<form name='diapo' action='./diapo.py' method='post'>"
+    print "<center>"
+    print "<b style='font-size: 125%;'>Mars Climate Database: The Web Interface.</b><br />"
+    print "<b style='font-size: 125%;'>Demo mode!</b>"
+    print "<input type='submit' value='Click here for another random example' style='font-weight:bold'/><br />"
+    print "<a href='../index.html'>back to the main interface.</a><br />"
+    print "</center>"
+    print "<hr />"
+
+    #dafile = file(dir+r, "rb").read()
+    dafile = dir+r
+    print "<img src='"+dafile+"'><br />"
+
+    bottom = "</body></html>"
+    print bottom
Index: trunk/UTIL/PYTHON/mcd/proto/cgi-bin/mcdcgi.py
===================================================================
--- trunk/UTIL/PYTHON/mcd/proto/cgi-bin/mcdcgi.py	(revision 827)
+++ trunk/UTIL/PYTHON/mcd/proto/cgi-bin/mcdcgi.py	(revision 859)
@@ -73,4 +73,8 @@
 query=mcd.mcd() 
 
+# set MCD version changes if needed
+betatest = form.getvalue("betatest")
+if betatest == "on": query.toversion5()
+
 # Get the kind of vertical coordinates and choose default behavior for "all"
 try: query.zkey = int(form.getvalue("zkey"))
@@ -93,5 +97,5 @@
 if query.datekey == 1:
     try: query.xdate = float(form.getvalue("ls"))
-    except: query.xdate = float(1) ; badlschar = True
+    except: query.xdate = float(1) ; badlschar = True # comment the second part if in debug command line mode
 else:
     try: query.xdate = float(form.getvalue("julian"))
@@ -161,7 +165,8 @@
 except: query.max2d = None
 
-try: query.dpi = float(form.getvalue("dpi"))
+try: query.dpi = form.getvalue("dpi")
 except: query.dpi = 80.
-
+if query.dpi == "eps":  yeaheps = True  ; query.dpi = 300.
+else:                   yeaheps = False ; query.dpi = float(query.dpi)
 
 # Get variables to plot
@@ -194,6 +199,8 @@
 
  # reference name (to test which figures are already in the database)
- reference = query.getnameset()+str(var1)+str(var2)+str(var3)+str(var4)+str(iswind)+str(isfixedlt)+str(iszonmean)+query.colorm+str(query.min2d)+str(query.max2d)+str(query.dpi)
- figname = '../img/'+reference+'.png'
+ try: reference = query.getnameset()+str(var1)+str(var2)+str(var3)+str(var4)+str(iswind)+str(isfixedlt)+str(iszonmean)+query.colorm+str(query.min2d)+str(query.max2d)+str(query.dpi)
+ except: reference = "test"
+ if yeaheps:  figname = '../img/'+reference+'.eps'
+ else:        figname = '../img/'+reference+'.png'
  txtname = '../txt/'+reference+'.txt'
  testexist = daos.path.isfile(figname)
@@ -234,4 +241,7 @@
 
 header="""<html><head><title>Mars Climate Database: The Web Interface</title></head><body>"""
+if betatest == "on": 
+    print "<b>!!! THIS IS A BETA VERSION. RESULTS ARE NOT VALIDATED !!!</b>"
+    if sumfree == 2:     print "<br>"
 
 print header
@@ -248,9 +258,12 @@
 else:
   if sumfree == 0: 	query.update() ; query.htmlprinttabextvar(vartoplot)
-  elif sumfree == 2: 	print "<img src='"+figname+"'><br />"
+  elif sumfree == 2: 	
+                        if yeaheps:  print "<hr><a href='"+figname+"'>!!!! Click here to download the EPS figure file !!!!</a><br /><hr>"
+                        else:        print "<img src='"+figname+"'><br />"
   elif sumfree == 1:      
                         print "<a href='"+txtname+"'>Click here to download an ASCII file containing data</a><br />"
                         print "<hr>"
-                        print "<img src='"+figname+"'><br />"
+                        if yeaheps:  print "<hr><a href='"+figname+"'>!!!! Click here to download the EPS figure file !!!!</a><br /><hr>"
+                        else:        print "<img src='"+figname+"'><br />"
 
 ## This is quite common
Index: trunk/UTIL/PYTHON/mcd/proto/diapo.html
===================================================================
--- trunk/UTIL/PYTHON/mcd/proto/diapo.html	(revision 859)
+++ trunk/UTIL/PYTHON/mcd/proto/diapo.html	(revision 859)
@@ -0,0 +1,21 @@
+<!-- Author Aymeric Spiga LMD -->
+<!DOCTYPE html>
+<html>
+
+<head>
+<meta charset="utf-8" />
+<title>Mars Climate Database: The Web Interface</title>
+</head>
+
+<body onload="submit">
+<form name="diapo" action="./cgi-bin/diapo.py" method="post"> 
+<center>
+<b style="font-size: 125%;">Mars Climate Database: The Web Interface. </b><br>
+<b style="font-size: 125%;">Demo mode!</b> 
+<input type='submit' value='Click here for a random example' style='font-weight:bold'/><br />
+<a href='index.html'>back to the main interface.</a><br />
+</center>
+<hr />
+</body>
+
+</html>
Index: trunk/UTIL/PYTHON/mcd/proto/index.html
===================================================================
--- trunk/UTIL/PYTHON/mcd/proto/index.html	(revision 827)
+++ trunk/UTIL/PYTHON/mcd/proto/index.html	(revision 859)
@@ -108,14 +108,19 @@
 <ul>
 <li>Dust scenario <select name="dust">
-<option value="1"         >MY24 min solar</option>
-<option value="2" selected>MY24 ave solar</option>
-<option value="3"         >MY24 max solar</option>
-<option value="4"         >dust storm tau=4 min solar</option>
-<option value="5"         >dust storm tau=4 ave solar</option>
-<option value="6"         >dust storm tau=4 max solar</option>
-<option value="7"         >warm scenario (dusty, max solar)</option>
-<option value="8"         >cold scenario (low dust, min solar)</option>
+<option value="1"         >climatology min solar</option>
+<option value="2" selected>climatology ave solar</option>
+<option value="3"         >climatology max solar</option>
+<option value="4"         >dust storm min solar</option>
+<option value="5"         >dust storm ave solar</option>
+<option value="6"         >dust storm max solar</option>
+<option value="7"         >warm (dusty, max solar)</option>
+<option value="8"         >cold (low dust, min solar)</option>
 </select></li>
 <li>Interpolate using MOLA topography <input type="radio" name="hrkey" value="1" checked /> on <input type="radio" name="hrkey" value="0" /> off </li>
+<li> <span style="font-size: 80%;"> Beta-testing (only for developers)
+<input type="radio" name="betatest" value="off" checked /> off
+<input type="radio" name="betatest" value="on"          /> on
+</span>
+</li>
 </ul>
 </td>
@@ -163,4 +168,11 @@
 <option value="co"            >[CO] vol. mixing ratio (mol/mol)</option>
 <option value="visc"          >Air viscosity estimation (N s m-2)</option>
+<option value="pbl"           >(beta) Convective PBL height (m)</option>
+<option value="stress"        >(beta) Surf. wind stress (Kg/m/s2)</option>
+<option value="ar"            >(beta) Ar vol.mix.rat. (mol/mol)</option>
+<option value="updraft"       >(beta) Max PBL updraft wind (m/s)</option>
+<option value="downdraft"     >(beta) Max PBL downdraft wind (m/s)</option>
+<option value="pblwvar"       >(beta) PBL vert wind variance (m2/s2)</option>
+<option value="pblhvar"       >(beta) PBL eddy vert heat flux (m/s/K)</option>
 </select>
 <br />
@@ -192,4 +204,11 @@
 <option value="co"            >[CO] vol. mixing ratio (mol/mol)</option>
 <option value="visc"          >Air viscosity estimation (N s m-2)</option>
+<option value="pbl"           >(beta) Convective PBL height (m)</option>
+<option value="stress"        >(beta) Surf. wind stress (Kg/m/s2)</option>
+<option value="ar"            >(beta) Ar vol.mix.rat. (mol/mol)</option>
+<option value="updraft"       >(beta) Max PBL updraft wind (m/s)</option>
+<option value="downdraft"     >(beta) Max PBL downdraft wind (m/s)</option>
+<option value="pblwvar"       >(beta) PBL vert wind variance (m2/s2)</option>
+<option value="pblhvar"       >(beta) PBL eddy vert heat flux (m/s/K)</option>
 </select>
 <br />
@@ -221,4 +240,11 @@
 <option value="co"            >[CO] vol. mixing ratio (mol/mol)</option>
 <option value="visc"          >Air viscosity estimation (N s m-2)</option>
+<option value="pbl"           >(beta) Convective PBL height (m)</option>
+<option value="stress"        >(beta) Surf. wind stress (Kg/m/s2)</option>
+<option value="ar"            >(beta) Ar vol.mix.rat. (mol/mol)</option>
+<option value="updraft"       >(beta) Max PBL updraft wind (m/s)</option>
+<option value="downdraft"     >(beta) Max PBL downdraft wind (m/s)</option>
+<option value="pblwvar"       >(beta) PBL vert wind variance (m2/s2)</option>
+<option value="pblhvar"       >(beta) PBL eddy vert heat flux (m/s/K)</option>
 </select>
 <br />
@@ -250,4 +276,11 @@
 <option value="co"            >[CO] vol. mixing ratio (mol/mol)</option>
 <option value="visc"          >Air viscosity estimation (N s m-2)</option>
+<option value="pbl"           >(beta) Convective PBL height (m)</option>
+<option value="stress"        >(beta) Surf. wind stress (Kg/m/s2)</option>
+<option value="ar"            >(beta) Ar vol.mix.rat. (mol/mol)</option>
+<option value="updraft"       >(beta) Max PBL updraft wind (m/s)</option>
+<option value="downdraft"     >(beta) Max PBL downdraft wind (m/s)</option>
+<option value="pblwvar"       >(beta) PBL vert wind variance (m2/s2)</option>
+<option value="pblhvar"       >(beta) PBL eddy vert heat flux (m/s/K)</option>
 </select>
 </td>
@@ -257,4 +290,5 @@
 <input type="radio" name="dpi" value="80" checked> medium
 <input type="radio" name="dpi" value="160"> high
+<input type="radio" name="dpi" value="eps"> eps
 </li>
 <li> Set colormap
Index: trunk/UTIL/PYTHON/mcd/proto/martian_time.js
===================================================================
--- trunk/UTIL/PYTHON/mcd/proto/martian_time.js	(revision 827)
+++ trunk/UTIL/PYTHON/mcd/proto/martian_time.js	(revision 859)
@@ -462,5 +462,5 @@
 Convert2Ls();
 PlaceValues(0.,0.);
-DefaultSpaceTime()
+DefaultSpaceTime();
 }
 
@@ -469,2 +469,3 @@
 document.calendar.submit();
 }
+
Index: trunk/UTIL/PYTHON/mcd/web_arbo
===================================================================
--- trunk/UTIL/PYTHON/mcd/web_arbo	(revision 859)
+++ trunk/UTIL/PYTHON/mcd/web_arbo	(revision 859)
@@ -0,0 +1,27 @@
+cgi-bin
+diapo.html
+img
+index.html
+martian_time.js
+PIA03610_red.jpg
+txt
+
+INSIDE cgi-bin
+total 28
+-rwxr-xr-x 1 marshttp marshttp  1612 2012-11-04 20:18 diapo.py
+-rw-r--r-- 1 marshttp marshttp   683 2012-09-24 18:13 error
+-rwxr-xr-x 1 marshttp marshttp 11010 2012-11-02 16:42 mcdcgi.py
+lrwxrwxrwx 1 marshttp marshttp    60 2012-09-20 19:06 mcdcgi.py.link -> /home/marshttp/trunk/UTIL/PYTHON/mcd/proto/cgi-bin/mcdcgi.py
+drwxr-xr-x 2 marshttp marshttp  4096 2012-12-27 17:36 modules
+
+INSIDE modules
+total 1464
+lrwxrwxrwx 1 marshttp marshttp      49 2012-12-27 17:36 fmcd_gfortran.sh -> /home/marshttp/trunk/UTIL/PYTHON/fmcd_gfortran.sh
+-rwxr-xr-x 1 marshttp marshttp 1304477 2012-12-27 17:36 fmcd.so
+lrwxrwxrwx 1 marshttp marshttp      50 2012-12-27 18:03 fmcd5_gfortran.sh -> /home/marshttp/trunk/UTIL/PYTHON/fmcd5_gfortran.sh*
+-rwxr-xr-x 1 marshttp marshttp 1416317 2013-01-05 16:41 fmcd5.so*
+-rw-r--r-- 1 marshttp marshttp       0 2012-09-21 09:07 __init__.py
+-rw-r--r-- 1 marshttp marshttp     139 2012-09-21 09:07 __init__.pyc
+lrwxrwxrwx 1 marshttp marshttp      43 2012-09-21 09:14 mcd.py -> /home/marshttp/trunk/UTIL/PYTHON/mcd/mcd.py
+lrwxrwxrwx 1 marshttp marshttp      42 2012-10-20 10:34 mymath.py -> /home/marshttp/trunk/UTIL/PYTHON/mymath.py
+lrwxrwxrwx 1 marshttp marshttp      42 2012-09-21 09:15 myplot.py -> /home/marshttp/trunk/UTIL/PYTHON/myplot.py.onlinemcd