Index: trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/callphys.def
===================================================================
--- trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/callphys.def	(revision 880)
+++ trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/callphys.def	(revision 880)
@@ -0,0 +1,169 @@
+## Orbit / general options
+## ~~~~~~~~~~~~~~~~~~~~~~~
+# Run with or without tracer transport ?
+tracer    = .false.
+# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
+diurnal   = .false. #.true.
+# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
+season    = .true. 
+# Tidally resonant orbit ? must have diurnal=false, correct rotation rate in newstart
+tlocked   = .false.
+# Tidal resonance ratio ? ratio T_orbit to T_rotation
+nres      = 1
+# Write some more output on the screen ?
+lwrite    = .false.
+# Save statistics in file "stats.nc" ?
+callstats = .false.
+# Test energy conservation of model physics ?
+enertest  = .false.
+# Check to see if cpp, mugaz values used match gas mixture defined in gases.def (recommended) ?
+check_cpp_match=.false. 
+
+## Directory where external input files are
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#datadir     = /san/home/spiga/DATAGENERIC
+#datadir      = /san/home/spiga/COMMON/DATAGENERIC/
+datadir     = /home/spiga/datagcm
+
+## Radiative transfer options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer?
+callrad    = .true.
+# the rad. transfer is computed every "iradia" physical timestep
+iradia     = 160
+# call multilayer correlated-k radiative transfer ?
+corrk      = .true.
+# Include continuum absorption in radiative transfer (note CO2 is treated separately) ?
+continuum  = .true.
+# folder in which correlated-k data is stored ?
+corrkdir   = CH4_C2H6_C2H2_Profils
+# call visible gaseous absorption in radiative transfer ?
+callgasvis = .true.
+# Include Rayleigh scattering in the visible ?
+rayleigh   = .false.
+# Uniform absorption coefficient in radiative transfer?
+graybody     = .false.
+# Characteristic planetary equilibrium (black body) temperature
+# This is used only in the aerosol radiative transfer setup. (see aerave.F)
+tplanet    = 215.
+# Output spectral OLR in 1D/3D?
+specOLR    = .false.
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .false.
+# Variable gas species: Radiatively active ?
+varactive  = .false.
+# Variable gas species: Fixed vertical distribution ?
+#   (not to be used in time integration mode)
+varfixed   = .false.
+# Variable gas species: Saturation percentage value at ground ?
+satval     = 0.0
+# Force specific heat capacity and molecular mass values
+force_cpp      = .true.
+# Specific heat capacity in J K-1 kg-1 [only used if force_cpp = T]
+cpp            = 14000.
+# Molecular mass in g mol-1 [only used if force_cpp = T]
+mugaz          = 2.14
+# Remove lower boundary (e.g. for gas giant sims)
+#noradsurf    = .true.
+noradsurf    = .false. 
+
+## Star type
+## ~~~~~~~~~
+startype = 1
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#
+#	startype = 1		Sol        (G2V-class main sequence)
+#	startype = 2		Ad Leo     (M-class, synthetic)
+#       startype = 3            GJ644
+#       startype = 4            HD128167
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Stellar flux at 1 AU. Examples:
+# 1366.0 W m-2		Sol today
+# 1024.5 W m-2		Sol today x 0.75 = weak early Sun
+# 18.462 W m-2		The feeble Gl581
+# 19.960 W m-2		Gl581 with e=0.38 orbital average
+Fat1AU = 1366.0
+
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Gravitational sedimentation of tracers (just H2O ice for now) ?
+sedimentation = .false.
+
+## Other physics options
+## ~~~~~~~~~~~~~~~~~~~~~
+# call turbulent vertical diffusion ?
+calldifv = .false. ##true. ##false chez sandrine
+# use turbdiff instead of vdifc ?
+UseTurbDiff = .true.
+# call convective adjustment ?
+calladj  = .true.
+# call thermal conduction in the soil ?
+callsoil = .false.
+
+#########################################################################
+## extra non-standard definitions for Earth
+#########################################################################
+ 
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Radiatively active CO2 aerosol?
+aeroco2       = .false.
+# Fixed CO2 aerosol distribution?
+aerofixco2    = .false.
+# Radiatively active water aerosol?
+aeroh2o       = .false.
+# Fixed water aerosol distribution?
+aerofixh2o    = .false.  ##true chez Sandrine
+# basic dust opacity
+dusttau       = 0.0
+# Varying H2O cloud fraction?
+CLFvarying    = .false.
+# H2O cloud fraction if fixed?
+CLFfixval     = 0.0
+# fixed radii for cloud particles?
+radfixed=.false.
+# number mixing ratio of CO2 ice particles
+Nmix_co2      = 100000.
+# number mixing ratio of water particles (for rafixed=.false.)
+Nmix_h2o      = 1.e7
+# number mixing ratio of water ice particles (for rafixed=.false.)
+Nmix_h2o_ice  = 5.e5
+# radius of H2O water particles (for rafixed=.true.):
+rad_h2o=10.e-6
+# radius of H2O ice particles (for rafixed=.true.):
+rad_h2o_ice=35.e-6
+# atm mass update due to tracer evaporation/condensation?
+mass_redistrib = .false.
+
+## Water options 
+## ~~~~~~~~~~~~~
+# Model water cycle
+water         = .false.
+# Model water cloud formation
+watercond     = .false.
+# Model water precipitation (including coagulation etc.)
+waterrain     = .false.
+# Use simple precipitation scheme?
+precip_scheme=4
+# multiplicative constant in Boucher 95 precip scheme
+Cboucher=1.
+# WATER: hydrology ?
+hydrology     = .false.
+# H2O snow (and ice) albedo ?
+albedosnow    = 0.6
+# Maximum sea ice thickness ?
+maxicethick   = 10.
+# Freezing point of seawater (degrees C) ?
+Tsaldiff      = 0.0
+# Evolve surface water sources ?
+sourceevol    = .false.
+
+## CO2 options 
+## ~~~~~~~~~~~
+# gas is non-ideal CO2 ?
+nonideal      = .false.
+# call CO2 condensation ?
+co2cond       = .false.
+# Set initial temperature profile to 1 K above CO2 condensation everywhere?
+nearco2cond   = .false.
Index: trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/diagfi.def
===================================================================
--- trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/diagfi.def	(revision 880)
+++ trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/diagfi.def	(revision 880)
@@ -0,0 +1,8 @@
+tsurf
+ps
+temp
+u
+v
+ISR
+ASR
+OLR
Index: trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/gases.def
===================================================================
--- trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/gases.def	(revision 880)
+++ trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/gases.def	(revision 880)
@@ -0,0 +1,17 @@
+# gases
+5
+H2_
+He_
+CH4
+C2H2
+C2H6
+0.85
+0.1455
+0.0045
+1.e-7
+1.e-5
+# First line is number of gases
+# Followed by gas names (always 3 characters)
+# and then molar mixing ratios.
+# mixing ratio -1 means the gas is variable.
+
Index: trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/run.def
===================================================================
--- trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/run.def	(revision 880)
+++ trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/run.def	(revision 880)
@@ -0,0 +1,253 @@
+
+#########
+######### THIS IS INTENDED TO WORK BOTH WITH LMDZ.GENERIC + old LMDZ core
+#########                                AND LMDZ.GENERIC + new LMDZ core
+#########
+
+### A INCLURE ?
+## calend=venus  ## calendrier specifique
+## resetvarc=n   ## reinit des variables de controle
+## iflag_trac=0  ## avec ou sans traceurs
+
+################################################################
+#### LMDZ5
+#### IN GCM.DEF
+#### -- those parameters are ignored when using old LMDZ core
+################################################################
+
+## period appel a la dissipation (multiple iperiod, 0 si calcul automatique)
+## (remplace ce qui etait idissip dans l'ancienne dynamique)
+dissip_period = 0
+dissip_period = 2 
+dissip_period = 5
+
+## avec ou sans physique
+## 0: pas de physique (e.g. en mode Shallow Water)
+## 1: avec physique (e.g. physique phylmd)
+## 2: avec rappel newtonien dans la dynamique                                         
+iflag_phys=2
+iflag_phys=1 
+
+## avec ou sans fichiers de demarrage (start.nc, startphy.nc) ?
+## (sans fichiers de demarrage, initialisation des champs par iniacademic
+##  dans la dynamique)
+read_start=n
+read_start=y 
+
+##  Avec ou sans strato // i.e. Couche eponge et second palier pour dissip horizontale
+ok_strato=n
+
+### Dissipation horizontale
+#dissip_fac_mid=2.
+#dissip_fac_up=2.
+## deltaz et hdelta en km
+#dissip_deltaz=10.
+#dissip_hdelta=5.
+## pupstart en Pa
+#dissip_pupstart=1.e3
+
+#  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+iflag_top_bound=0
+
+########################################
+## LMDZ.COMMON
+##    1: dans les 4 derniers niveaux
+##    2: dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+#iflag_top_bound=1
+## Mode Couche eponge
+##   mode = 0 : pas de sponge
+##   mode = 1 : u et v -> 0
+##   mode = 2 : u et v -> moyenne zonale
+##   mode = 3 : u, v et h -> moyenne zonale
+#mode_top_bound=1
+#######################################
+
+#  Coefficient pour la couche eponge (valeur derniere couche)
+tau_top_bound=1.e-5
+tau_top_bound=5.e-5
+
+################################################################
+#### LMDZ5
+#### IN RUN.DEF
+#### -- those parameters are ignored when using old LMDZ core
+################################################################
+
+## Type de calendrier utilise
+## valeur possible: earth_360d (defaut), earth_365d, earth_366d
+ip_ebil_phy=1
+ip_ebil_dyn=1
+calend=earth_360d
+
+## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
+dayref=10120
+#dayref=40
+
+##  Annee de l'etat  initial (   avec  4  chiffres   )
+anneeref=2000
+
+## Remise a zero de la date initiale
+## =1 is necessary for generic physics
+raz_date=1
+
+## flag de sortie dynzon
+ok_dynzon=n
+## activation du calcul d equilibrage de charge
+adjust=n
+## activation du filtre fft
+use_filtre_fft=n
+## niveau d'impression de controle
+prt_level=10
+prt_level=1
+
+## coordonnees type planeto
+disvert_type = 2
+
+## the generic physics
+planet_type = generic
+
+## sorties instantanees dans la dynamique (fichiers dyn_hist.nc and co.)
+ok_dyn_ins=n
+#ok_dyn_ins=y
+## periode d'ecriture des sorties instantanees dans la dynamique
+## (en pas dynamiques)
+iecri=30
+iecri=120
+iecri=480
+#iecri=4800
+#iecri=9600
+
+## sorties de valeurs moyennes dans la dynamique (fichiers dyn_hist_ave.nc and co.)
+ok_dyn_ave=n
+## periode de stockage des moyennes dans la dynamique (en jours)
+periodav=1
+
+
+#################################
+#### AND NOW THE OLD run.def ####
+#################################
+## -----> REMOVED
+## was present and conflicting with LMDZ5
+## (although useless in old OLD LMDz DYN CORE
+## - iecri [periode d'ecriture du fichier histoire (en jour)]
+## - periodav [periode de stockage fichier histmoy (en jour) dynzon?]
+#################################
+#################################
+
+#----------------------------------------------------------------------- 
+#Parametres de controle du run:                                          
+#------------------------------                                          
+
+# Nombre de jours d'integration                                         
+     nday = 720
+     nday = 20
+     nday = 100
+     nday = 1800
+     nday = 250000
+
+# nombre de pas par jour (multiple de iperiod) ( ici pour dt = 1 min )      
+# day_step = 25
+# day_step = 50
+day_step = 70
+# day_step = 240
+# day_step = 480
+# day_step = 960
+
+# periode pour le pas Matsuno (en pas)                                  
+  iperiod=5
+
+# periode de sortie des variables de controle (en pas)                  
+  iconser=120
+
+# periode de la dissipation (en pas)                                    
+# -- this is ignored by LMDZ5 which rely on dissip_period instead
+  idissip=5
+
+# choix de l'operateur de dissipation (star ou  non star )              
+ lstardis=.true. 
+
+# avec ou sans coordonnee hybrides
+ hybrid=.false. # calculs 1D sandrine #.true.
+
+# nombre d'iterations de l'operateur de dissipation   gradiv            
+nitergdiv=1
+
+# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+nitergrot=2
+
+# nombre d'iterations de l'operateur de dissipation  divgrad            
+   niterh=2
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=8000. 160000. 8000. 1000. 2500. 4000.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=8000. 160000. 8000. 1000. 2500. 4000.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=8000. 160000. 8000. 1000. 2500. 4000.
+
+# coefficient pour gamdissip                                            
+  coefdis=0.
+
+# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+  purmats=.false. 
+
+# avec ou sans physique                                                 
+   physic=.true.
+
+# periode de la physique (en pas) (en pas dynamiques, n'a de sens que si iflag_phys=1)                                      
+  iphysiq=5
+  iphysiq=7
+#  iphysiq=1
+
+# choix d'une grille reguliere                                          
+  grireg=.true.
+
+# frequence (en pas) de l'ecriture du fichier diagfi               
+  ecritphy=500
+  ecritphy=700
+
+# longitude en degres du centre du zoom                                 
+   clon=0.
+
+# latitude en degres du centre du zoom                                  
+   clat=0.
+
+# facteur de grossissement du zoom,selon longitude                      
+  grossismx=1.
+
+# facteur de grossissement du zoom ,selon latitude                      
+ grossismy=1.
+
+#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+  fxyhypb=.false.
+
+# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+   dzoomx= 0.
+
+# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+   dzoomy=0.
+
+#  raideur du zoom en  X
+    taux=2.
+
+#  raideur du zoom en  Y
+    tauy=2.
+
+#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus= .false.
+
+###################### SPONGE LAYER IN OLD DYNAMICS
+###################### -- this is ignored by LMDZ5
+# Avec sponge layer
+  callsponge  = .true.
+# Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+  mode_sponge= 2
+# Sponge:  hauteur de sponge (km)
+  hsponge= 50
+# Sponge:  tetasponge (secondes)
+  tetasponge = 50000
+###################### 
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
Index: trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/traceur.def
===================================================================
--- trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/traceur.def	(revision 880)
+++ trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/traceur.def	(revision 880)
@@ -0,0 +1,2 @@
+0
+10 10 dummy
Index: trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/z2sig.def
===================================================================
--- trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/z2sig.def	(revision 880)
+++ trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_strato/z2sig.def	(revision 880)
@@ -0,0 +1,30 @@
+50.000
+1.0
+3.0
+8.0
+15.0
+30.0
+55.0
+80.0
+110.0
+140.0
+170.0 
+200.0 
+230.0
+260.0
+270.0 
+300.0
+330.0
+360.0
+390.0 
+420.0 
+450.0
+480.0
+510.0
+540.0
+570.0
+600.0
+630.0
+660.0
+690.0
+720.0
Index: trunk/LMDZ.UNIVERSAL/deftank/gray_lmdz.generic_lmdz5/launch_lmdz5para
===================================================================
--- trunk/LMDZ.UNIVERSAL/deftank/gray_lmdz.generic_lmdz5/launch_lmdz5para	(revision 852)
+++ trunk/LMDZ.UNIVERSAL/deftank/gray_lmdz.generic_lmdz5/launch_lmdz5para	(revision 880)
@@ -2,6 +2,6 @@
 #PBS -j  oe
 #PBS -q  infini
-#PBS -N  LMDZ5_PARA24
-#PBS -l "nodes=1:ppn=24"
+#PBS -N  LMDZ5_PARA16
+#PBS -l "nodes=1:ppn=16"
 ##PBS -l "mem=64gb"
 
Index: trunk/LMDZ.UNIVERSAL/deftank/gray_lmdz.generic_lmdz5/run.def
===================================================================
--- trunk/LMDZ.UNIVERSAL/deftank/gray_lmdz.generic_lmdz5/run.def	(revision 852)
+++ trunk/LMDZ.UNIVERSAL/deftank/gray_lmdz.generic_lmdz5/run.def	(revision 880)
@@ -107,5 +107,5 @@
 ## sorties instantanees dans la dynamique (fichiers dyn_hist.nc and co.)
 ok_dyn_ins=n
-ok_dyn_ins=y
+#ok_dyn_ins=y
 ## periode d'ecriture des sorties instantanees dans la dynamique
 ## (en pas dynamiques)
Index: trunk/LMDZ.UNIVERSAL/deftank/launch.ciclad
===================================================================
--- trunk/LMDZ.UNIVERSAL/deftank/launch.ciclad	(revision 880)
+++ trunk/LMDZ.UNIVERSAL/deftank/launch.ciclad	(revision 880)
@@ -0,0 +1,13 @@
+#PBS -S  /bin/bash
+#PBS -j  oe
+#PBS -q  infini
+#PBS -N  LMDZ.UNIVERSAL
+#PBS -l "nodes=1:ppn=16"
+##PBS -l "mem=64gb"
+
+####### prep run
+mv $PBS_O_WORKDIR/CURRENT_RUN $PBS_O_WORKDIR/PREVIOUS_RUN
+cp -rf $PBS_O_WORKDIR/PROTO $PBS_O_WORKDIR/CURRENT_RUN
+cd $PBS_O_WORKDIR/CURRENT_RUN
+ulimit -s unlimited
+mpirun gcm.e > log